<!-- admin_tranlators_add -->
{include file='include/datepicker.inc.tpl'}

{literal}
<script type="text/javascript">
  function add_sl()
  {
    var langs = document.getElementById('ilang_code_sl');
    var sl = document.getElementById('ispoken_code');

    for(i=0;i<langs.options.length;i++)
    {
      if(langs.options[i].selected)
      {
        var opt = document.createElement("option");
        opt.value = langs.options[i].value;
        opt.text = langs.options[i].text;
        opt.id = "isl_"+i;

        sl.appendChild(opt);
        langs.options[i].selected=false;
        langs.options[i].disabled=true;
      }
    }
    maj_spoken_languages();
  }

  function del_sl()
  {
    var langs = document.getElementById('ilang_code_sl');
    var sl = document.getElementById('ispoken_code');

    i=0;
    while(i<sl.options.length)
    {
      if(sl.options[i].selected)
      {
        isl=Number(sl.options[i].id.substr(4));
        langs.options[isl].disabled=false;
        sl.removeChild(sl.options[i]);
      }
      else
      {
        i++;
      }
    }
    maj_spoken_languages();
  }

  function maj_spoken_languages()
  {
    var sllist = document.getElementById('ispoken_code');
    var sl= document.getElementById('ispoken_languages');

    tmp="";
    for(i=0;i<sllist.options.length;i++)
    {
      tmp+=(i==0)?sllist.options[i].value:","+sllist.options[i].value;
    }
    sl.value=tmp;
  }


</script>
{/literal}

<p class="g001_title">{$datas.TRANSLATOR_TITLE}</p>

<form method="post" action="" class="general">
  <fieldset>
    <legend>{"g001_translator_nfo"|@translate}</legend>
    <table class="formtable">

      <tr>
        <td>{"g001_translator_username"|@translate}</td>
        <td colspan="3">
          {if $datas.ADD_MODE==true}
            <select id='iid' name='f_id' style="min-width:280px;">
              {foreach from=$datas.users_id key=userkey item=user_row}
                <option value='{$user_row.VALUE}' {$user_row.SELECTED}>{$user_row.TEXT}</option>
              {/foreach}
            </select>&nbsp;
          {else}
            {$datas.NAME}
            <input type='hidden' name='f_id' id='iid' value='{$datas.ID}'>      
          {/if}
        </td>
      </tr>

      <tr>
        <td>{"g001_translator_country"|@translate}</td>
        <td colspan="3">
          <select id='icountry_code' name='f_country_code' style="min-width:280px;">
            {foreach from=$datas.countries_row key=countrykey item=country_row}
              <option value='{$country_row.VALUE}' {$country_row.SELECTED}>{$country_row.TEXT}</option>
            {/foreach}
          </select>
        </td>
      </tr>

      <tr>
        <td>{"g001_translator_town"|@translate}</td>
        <td colspan="3">
          <input type='text' name='f_town' id='itown' value='{$datas.TOWN}'  size=25 maxlength=25 style="min-width:280px;">
        </td>
      </tr>

      <tr>
        <td>{"g001_translator_native_language"|@translate}</td>
        <td colspan="3">
          <select id='ilang_code' name='f_lang_code' style="min-width:280px;">
            {foreach from=$datas.langs_row key=langkey item=langs_row}
              <option value='{$langs_row.VALUE}' {$langs_row.SELECTED}>{$langs_row.TEXT}</option>
            {/foreach}
          </select>&nbsp;
        </td>
      </tr>

      <tr>
        <td>{"g001_translator_sex"|@translate}</td>
        <td colspan="3">
          <select id='isex' name='f_sex' style="min-width:280px;">
            {foreach from=$datas.sex_row key=sexkey item=sex_row}
              <option value='{$sex_row.VALUE}' {$sex_row.SELECTED}>{$sex_row.TEXT}</option>
            {/foreach}
          </select>
        </td>
      </tr>

      <tr>
        <td>{"g001_translator_birthdate"|@translate}</td>
        <td colspan="3">
          <input type='text' name='f_birthdate' id='ibirthdate' value='{$datas.BIRTHDATE}'  size=10 maxlength=10>
          &nbsp;({"g001_translator_datefmt"|@translate})
        </td>
      </tr>

      <tr>
        <td>{"g001_translator_spoken_languages"|@translate}</td>
        <td>
          <select id='ispoken_code' name='f_spoken_code' multiple size=9 style="min-width:280px;">
            {foreach from=$datas.sl_row key=langkey item=langs_row}
              <option value='{$langs_row.VALUE}' id='{$langs_row.ID}'>{$langs_row.TEXT}</option>
            {/foreach}
          </select>
          <input type="hidden" name="f_spoken_language" id="ispoken_languages" value=""/>
        </td>
        <td>
          <input type="button" name='bt_add_sl' value='&lt;&lt;' onclick="add_sl();"><br/><br/>
          <input type="button" name='bt_del_sl' value='&gt;&gt;' onclick="del_sl();">   
        </td>
        <td>
          <select id='ilang_code_sl' name='f_lang_code_sl' multiple size=9 style="min-width:280px;">
            {foreach from=$datas.langs2_row key=langkey item=langs_row}
              <option value='{$langs_row.VALUE}' {$langs_row.SELECTED}>{$langs_row.TEXT}</option>
            {/foreach}
          </select>
        </td>
      </tr>
 
      <tr>
        <td>{"g001_translator_comment"|@translate}</td>
        <td colspan="3">
          <textarea name='f_comment' id='icomment' rows="9" cols="60" style="min-width:280px;">{$datas.COMMENT}</textarea>
        </td>
      </tr>

    </table>
  </fieldset>

  <fieldset>
    <legend>{"g001_settings"|@translate}</legend>
    <table class="formtable">
      <tr><th colspan="2">{"g001_status"|@translate}</th></tr>
      <tr>
        <td>{"g001_translator_settings_display_spoken_langs"|@translate}</td>
        <td>
          <select id='idisplay_spoken_lang' name='f_display_spoken_lang'>
            {foreach from=$datas.display_spoken_lang_row key=display_spoken_langkey item=display_spoken_lang_row}
              <option value='{$display_spoken_lang_row.VALUE}' {$display_spoken_lang_row.SELECTED}>{$display_spoken_lang_row.TEXT}</option>
            {/foreach}
          </select>
        </td>
      </tr>

      <tr><th colspan="2"><br/>{"g001_editing"|@translate}</th></tr>
      <tr>
        <td>{"g001_translator_settings_default_displayed_language"|@translate}</td>
        <td>
          <select id='idefault_displayed_language' name='f_default_displayed_language'>
            {foreach from=$datas.default_displayed_language_row key=default_displayed_languagekey item=default_displayed_language_row}
              <option value='{$default_displayed_language_row.VALUE}' {$default_displayed_language_row.SELECTED}>{$default_displayed_language_row.TEXT}</option>
            {/foreach}
          </select>
        </td>
      </tr>
    </table>
       

  </fieldset>


  {if $datas.ADD_MODE==true or isset($datas.allow_delete) and $datas.allow_delete=="true" }
  <fieldset>
    <legend>{"g001_warning"|@translate}</legend>
    {if $datas.ADD_MODE==true}
      {"g001_translator_add_info"|@translate}
    {else}
      {"g001_translator_del_info"|@translate}
    {/if}
  </fieldset>
  {/if}

  {if $datas.CAN_SUBMIT==true}
    <p><input type='submit' name='submit' value='{"g001_apply@bt@"|@translate}'>
  {/if}
  {if isset($datas.allow_delete) and $datas.allow_delete=="true"}
    <input type='submit' name='submit_delete' value='{"g001_delete@bt@"|@translate}'>
  {/if}
  </p>
</form>

{literal}
<script type="text/javascript">
  maj_spoken_languages();
  $("#ibirthdate").datepicker({ yearRange: '-100:+0', maxDate: '+0d'  });
</script>
{/literal}
